/*
 * checkerberry test center - https://www.checkerberry.de
 *
 * Copyright (c) 2010 ConceptPeople consulting gmbh
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/software/page/eupl5
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.conceptpeople.checkerberry.web.example.model;

import de.conceptpeople.checkerberry.web.environment.ContextProvider;
import de.conceptpeople.checkerberry.web.model.RemoteControlComponent;

/**
 * Basisklasse für die Fernsteuerung der Webkomponenten. Es ist generell
 * sinnvoll, eigene Basisklassen für
 * {@link de.conceptpeople.checkerberry.web.model.AbstractRemoteControlPage},
 * {@link de.conceptpeople.checkerberry.web.model.AbstractRemoteControlPortlet}
 * und {@link RemoteControlComponent} zu definieren. In diesen Basisklassen
 * können generelle Methoden bereitgestellt werden, die alle Seiten, Portlets
 * oder Komponenten benötigen.
 */
public class BaseComponent extends RemoteControlComponent {

    /**
     * Erzeugt eine neue Fernsteuerung für eine Webkomponente.
     * 
     * @param contextProvider
     *            Provider für die gesamten Kontextinformationen.
     * @param elementLocator
     *            Locator zur Identifikation der Komponente in der Webseite.
     */
    public BaseComponent(ContextProvider contextProvider, String elementLocator) {
        super(contextProvider, elementLocator);
    }
}
