/*
 * checkerberry test center - https://www.checkerberry.de
 *
 * Copyright (c) 2010 ConceptPeople consulting gmbh
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/software/page/eupl5
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.conceptpeople.checkerberry.web.example.model;

import de.conceptpeople.checkerberry.web.environment.ContextProvider;

/**
 * Model für die Homepage der Test-Web-Anwendung.
 */
public class LoginPage extends AbstractBasePage {

    /**
     * Erzeugt ein neues Model der Login-Seite.
     * 
     * @param contextProvider
     *            Provider für die Kontextinformationen.
     */
    public LoginPage(ContextProvider contextProvider) {
        super(contextProvider, "login");
    }

    /**
     * Logged Hans Albers ein.
     */
    public void loginDefaultUser() {
        createUserField().type("Hans");
        createPasswordField().type("Albers");
        createLoginButton().clickAndWaitForPage();
    }

    /**
     * Erzeugt eine Fernsteuerung für die entsprechende Komponente.
     * 
     * @return erzeute Proxy-Komponente.
     */
    public BaseComponent createUserField() {
        return createComponentProxy("loginUserId");
    }

    /**
     * Erzeugt eine Fernsteuerung für die entsprechende Komponente.
     * 
     * @return erzeute Proxy-Komponente.
     */
    public BaseComponent createPasswordField() {
        return createComponentProxy("loginPasswordId");
    }

    /**
     * Erzeugt eine Fernsteuerung für die entsprechende Komponente.
     * 
     * @return erzeute Proxy-Komponente.
     */
    public BaseComponent createLoginButton() {
        return createComponentProxy("loginButtonId");
    }
}
